#ifndef GAME_H
#define GAME_H

#define NUM_ZOMBIES 5 // must be 5 in this game because of audio score files 
#include "dsoundUtility.h"
#include "Player.h"
#include "Enemy.h"
#include "Friendly.h"
#include <stdio.h> 
#include <stdlib.h>
#include <time.h>
#include <windows.h>

class Game {
	
private:
	DSoundDevice* theDevice;	
	Sound* IntroSpeech;
	Sound* pickMedkit;
	Sound* noMedleft;
	Sound* noZombie;
	Sound* savedOne;
	Sound* fire;
	Sound* water;
	Sound* wind;
	Sound* dead;
	Sound* timeup;
	Sound* gameover;
	Sound* nozombies;
	Sound* onezombie;
	Sound* twozombies;
	Sound* threezombies;
	Sound* fourzombies;
	Sound* allzombies;
	LPDIRECTSOUND3DBUFFER timeup3d;
	LPDIRECTSOUND3DBUFFER dead3d;
	LPDIRECTSOUND3DBUFFER fire3d;
	LPDIRECTSOUND3DBUFFER water3d;
	LPDIRECTSOUND3DBUFFER wind3d;
	LPDIRECTSOUND3DBUFFER savedOne3d;
	LPDIRECTSOUND3DBUFFER pickMedkit3d;
	LPDIRECTSOUND3DBUFFER noMedleft3d;
	LPDIRECTSOUND3DBUFFER noZombie3d;
	enum GAMESTATE {INTRO, GAME, GAMEOVER};
	enum GAMESTATE GameState;
	Player* player;
	Enemy* zombie[NUM_ZOMBIES];
	Friendly* medikit[20];
	
public:
	Game(DSoundDevice* device);
	~Game();
	bool Init();	
	void GameLoop();
	void GameIntro();
	void GameMain();
	void GameEnd();
	void Quit();
	bool BoundingCircle(float x1, float x2, float z1, float z2, float r1, float r2);
	void TestCollision();
	bool pickup; // dirty way of testing if player pressed mouse when in boundary
	

};

#endif




